# Uses of Enum Class
java.security.cert.PKIXRevocationChecker.Option

Packages that use PKIXRevocationChecker.Option
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of PKIXRevocationChecker.Option in java.security.cert

Subclasses with type arguments of type PKIXRevocationChecker.Option in java.security.cert
Modifier and Type
Class
Description
`static enum`
`PKIXRevocationChecker.Option`
Various revocation options that can be specified for the revocation checking mechanism.
Methods in java.security.cert that return PKIXRevocationChecker.Option
Modifier and Type
Method
Description
`static PKIXRevocationChecker.Option`
PKIXRevocationChecker.Option.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PKIXRevocationChecker.Option[]`
PKIXRevocationChecker.Option.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.security.cert that return types with arguments of type PKIXRevocationChecker.Option
Modifier and Type
Method
Description
`Set<PKIXRevocationChecker.Option>`
PKIXRevocationChecker.`getOptions()`
Gets the revocation options.
Method parameters in java.security.cert with type arguments of type PKIXRevocationChecker.Option
Modifier and Type
Method
Description
`void`
PKIXRevocationChecker.`setOptions(Set<PKIXRevocationChecker.Option> options)`
Sets the revocation options.